<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="generator" content="pandoc">
  <meta name="author" content="Julien Paris   développeur fullstack    co-fondateur de la coopérative multi ">
  <title>Datami</title>
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no, minimal-ui">
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/reset.css">
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/reveal.css">
  <style>
    .reveal .sourceCode {  /* see #7635 */
      overflow: visible;
    }
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    div.columns{display: flex; gap: min(4vw, 1.5em);}
    div.column{flex: auto; overflow-x: auto;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
    ul.task-list li input[type="checkbox"] {
      width: 0.8em;
      margin: 0 0.8em 0.2em -1.6em;
      vertical-align: middle;
    }
    .display.math{display: block; text-align: center; margin: 0.5rem auto;}
    /* CSS for syntax highlighting */
    pre > code.sourceCode { white-space: pre; position: relative; }
    pre > code.sourceCode > span { display: inline-block; line-height: 1.25; }
    pre > code.sourceCode > span:empty { height: 1.2em; }
    .sourceCode { overflow: visible; }
    code.sourceCode > span { color: inherit; text-decoration: inherit; }
    div.sourceCode { margin: 1em 0; }
    pre.sourceCode { margin: 0; }
    @media screen {
    div.sourceCode { overflow: auto; }
    }
    @media print {
    pre > code.sourceCode { white-space: pre-wrap; }
    pre > code.sourceCode > span { text-indent: -5em; padding-left: 5em; }
    }
    pre.numberSource code
      { counter-reset: source-line 0; }
    pre.numberSource code > span
      { position: relative; left: -4em; counter-increment: source-line; }
    pre.numberSource code > span > a:first-child::before
      { content: counter(source-line);
        position: relative; left: -1em; text-align: right; vertical-align: baseline;
        border: none; display: inline-block;
        -webkit-touch-callout: none; -webkit-user-select: none;
        -khtml-user-select: none; -moz-user-select: none;
        -ms-user-select: none; user-select: none;
        padding: 0 4px; width: 4em;
        color: #aaaaaa;
      }
    pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
    div.sourceCode
      {   }
    @media screen {
    pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
    }
    code span.al { color: #ff0000; font-weight: bold; } /* Alert */
    code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
    code span.at { color: #7d9029; } /* Attribute */
    code span.bn { color: #40a070; } /* BaseN */
    code span.bu { color: #008000; } /* BuiltIn */
    code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
    code span.ch { color: #4070a0; } /* Char */
    code span.cn { color: #880000; } /* Constant */
    code span.co { color: #60a0b0; font-style: italic; } /* Comment */
    code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
    code span.do { color: #ba2121; font-style: italic; } /* Documentation */
    code span.dt { color: #902000; } /* DataType */
    code span.dv { color: #40a070; } /* DecVal */
    code span.er { color: #ff0000; font-weight: bold; } /* Error */
    code span.ex { } /* Extension */
    code span.fl { color: #40a070; } /* Float */
    code span.fu { color: #06287e; } /* Function */
    code span.im { color: #008000; font-weight: bold; } /* Import */
    code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
    code span.kw { color: #007020; font-weight: bold; } /* Keyword */
    code span.op { color: #666666; } /* Operator */
    code span.ot { color: #007020; } /* Other */
    code span.pp { color: #bc7a00; } /* Preprocessor */
    code span.sc { color: #4070a0; } /* SpecialChar */
    code span.ss { color: #bb6688; } /* SpecialString */
    code span.st { color: #4070a0; } /* String */
    code span.va { color: #19177c; } /* Variable */
    code span.vs { color: #4070a0; } /* VerbatimString */
    code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/theme/white.css" id="theme">
  <link rel="stylesheet" href="static/style.css"/>
  <link rel="icon" type="image/x-icon" href="static/favicon.ico"/>
</head>
<body>
  <div class="reveal">
    <div class="slides">

<section id="title-slide" data-background-image="images/logos/logo-DATAMI-rect-colors.png" data-background-position="right
10% top 40%, right 4% top 40%" data-background-size="auto 10%, auto 5%">
  <h1 class="title">Datami</h1>
  <p class="subtitle"><strong>Editez, visualisez, partagez <br> et
contribuez à vos données  <br> en toute simplicité</strong></p>
  <p class="author"><span class="text-bold">Julien Paris</span><br>
<span class="text-micro text-author-details"> <em>développeur
fullstack</em> </span><br> <span class="text-micro text-author-details">
<em>co-fondateur de la <a href="https://multi.coop">coopérative
multi</a></em> </span></p>
  <p class="date"><span class="emph-line">20 mars 2023</span><br>Plan en
pressant <span class="text-nano"><code>echap</code></span><br>Versions :
<a
href="https://multi-coop.gitlab.io/datami-project/datami-slides-fr/presentation-fr.html">fr</a>
/ <a
href="https://multi-coop.gitlab.io/datami-project/datami-slides-fr/presentation-en.html">en</a></p>
</section>

<section>
<section id="aider-vos-publics-avec-vos-données"
class="title-slide slide level1">
<h1>Aider vos publics avec vos données</h1>
<div class="text-center" style="font-size:2em">
<p><strong>Quels enjeux ?</strong></p>
</div>
</section>
<section id="enjeu-1" class="slide level2">
<h2>Enjeu #1</h2>
<h3 id="rendre-vos-données-intelligibles">Rendre vos données
<strong>intelligibles</strong></h3>
</section>
<section class="slide level2">

<div class="columns">
<div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/messy-excel-02.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div><div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/ODF-map-all.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
<div class="columns">
<div class="column" style="width:50%;">
<div class="text-center">
<p>Vos données brutes <br><strong>sans</strong> Datami</p>
</div>
</div><div class="column" style="width:50%;">
<div class="text-center">
<p>Vos données valorisées <br><strong>avec</strong> Datami</p>
</div>
</div>
</div>
</section>
<section id="enjeu-2" class="slide level2">
<h2>Enjeu #2</h2>
<h3 id="faciliter-la-mise-à-jour-et-la-contribution">Faciliter la
<strong>mise à jour</strong> et la <strong>contribution</strong></h3>
</section>
<section class="slide level2">

<div class="columns">
<div class="column" style="width:40%;">
<p>Manipuler des données est une question d’habitudes, faciliter leur
manipulation pour le plus grand nombre signifie qu’il faut
<strong>s’adapter aux habitudes</strong> du plus grand nombre</p>
<div class="fragment">
<p>Pour permettre à chacun de facilement contribuer aux données la vue
sous forme de table est encore aujourd’hui la plus communément
adoptée</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/table-view-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
</section>
<section id="enjeu-3" class="slide level2">
<h2>Enjeu #3</h2>
<h3 id="le-faire-de-façon-économique">Le faire de façon
<strong>économique</strong></h3>
</section>
<section class="slide level2">

<p>Lorsqu’on est une structure de taille petite ou moyenne (association,
collectivité…) et qu’on produit des données d’intérêt général il peut
être compliqué de les mettre en valeur sur son site ou de faire appel à
sa communauté pour les mettre à jour</p>
<div class="text-center">
<p><strong>Manque de moyens, manque de compétences, manque de
temps…</strong></p>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<div class="fragment">
<div class="text-justify">
<p>Le coût des solutions techniques habituelles de partage /
visualisation / contribution aux données s’explique souvent par la
<strong>complexité</strong> technique de ces fonctionnalités</p>
</div>
</div>
</div><div class="column" style="width:30%;">
<div class="fragment">
<div class="text-justify" style="padding: 0 1.5em 0 1.5em">
<p>Un autre coût est lié à la nécessité de mettre en place des
<strong>serveurs</strong> dédiés en <em>backend</em> ou des
configurations très spécifiques</p>
</div>
</div>
</div><div class="column" style="width:30%;">
<div class="fragment">
<div class="text-justify">
<p>La <strong>maintenance</strong> des applicatifs ou des serveurs sont
générateurs de coûts souvent importants</p>
</div>
</div>
</div>
</div>
<div class="fragment">
<p>L’architecture originale de Datami permet de <strong>s’affranchir
d’une grande part de ces coûts de serveurs de <em>backend</em></strong>
tout en permettant une personnalisation jeu de données par jeu de
données</p>
</div>
</section></section>
<section>
<section id="valorisez-vos-données-dintérêt-général-avec-datami"
class="title-slide slide level1">
<h1>Valorisez vos données d’intérêt général avec
<strong>Datami</strong></h1>
<div class="fragment">
<div class="img-mini">
<figure>
<img data-src="images/logos/logo-DATAMI-rect-colors.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section>
<section class="slide level2">

<video
  id="datami-video-presentation"
  width="100%"
  height="90%"
  style="box-shadow: 0 0 20px #D7D7D7;"
  poster="https://raw.githubusercontent.com/multi-coop/datami-website-content/images/logos/logo-DATAMI-rect-colors-03.png"
  controls>
<source
    src="https://raw.githubusercontent.com/multi-coop/datami-website-content/main/videos/DATAMI_PRESENTATION-FR.mp4"
    type="video/mp4">
</video>
</section>
<section id="vos-tableurs-transformés-en-cartographies"
class="slide level2">
<h2>Vos tableurs transformés en cartographies</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Datami permet de créer des <strong>cartes interactives sur
mesure</strong></p>
<div class="fragment">
<p>Vos données territoriales peuvent être visualisées sous forme
géographique, quelles que soient leurs thématiques</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/ping-map-detail-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
</section>
<section id="visualisez-vos-données-sous-tous-les-angles"
class="slide level2">
<h2>Visualisez vos données <br>sous tous les angles</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Vos données peuvent être visualisées comme des
<strong>tableurs</strong>, des <strong>cartes</strong>, des
<strong>listes de fiches</strong> miniatures ou détaillées, ou des
<strong>graphiques</strong></p>
<div class="fragment">
<p>Toutes les vues sont interactives et configurables afin de mettre en
lumière toutes les spécificités de vos données</p>
</div>
</div><div class="column" style="width:60%;">
<figure>
<img data-src="images/screenshots/datami-views-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section>
<section id="adaptez-datami-en-fonction-de-vos-besoins"
class="slide level2">
<h2>Adaptez Datami <br>en fonction de vos besoins</h2>
<div class="columns">
<div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-sketches-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div><div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-sketches-02.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
<div class="columns">
<div class="column" style="width:50%;">
<div class="text-center">
<p>Vos <strong>maquettes</strong> <br>et vos
<strong>données</strong>…</p>
</div>
</div><div class="column" style="width:50%;">
<div class="text-center">
<p>… implémentées et valorisées <br>avec <strong>Datami</strong></p>
</div>
</div>
</div>
</section>
<section id="vous-contrôlez-vos-données-datami-les-rend-intelligibles"
class="slide level2">
<h2>Vous contrôlez vos données <br>Datami les rend intelligibles</h2>
<p>L’architecture de Datami est pensée comme une <strong>interface entre
le citoyen et votre base de données</strong> afin de faciliter le lien
<strong>entre les citoyens et les producteurs d’open data</strong></p>
<div class="no-mt h-30">
<p><img data-src="images/roadmaps/archi-devs-fr.png" /></p>
</div>
</section>
<section class="slide level2">

<p><strong>Datami ne stocke pas vos données</strong> : vos données
restent sur l’outil de votre choix (Github, Gitlab, base de données ou
API).</p>
<p>Utiliser Datami est ainsi plus <strong>économique</strong> car il
vous évite d’avoir à installer et à maintenir un <em>backend</em>
dédié.</p>
</section>
<section id="intégrez-datami-à-votre-site-et-chez-vos-partenaires"
class="slide level2">
<h2>Intégrez Datami à votre site <br>et chez vos partenaires</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Datami utilise la technologie des <strong><em>widgets</em></strong> :
des modules clé en main et personnalisables que vous pouvez ajouter sur
un site déjà existant</p>
<div class="fragment">
<p>Les <em>widgets</em> Datami sont <strong><em>open
source</em></strong>, simples à copier-coller, sans abonnement,
<strong>sans surcoût</strong></p>
</div>
</div><div class="column" style="width:60%;">
<figure>
<img data-src="images/screenshots/widget-copy-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section></section>
<section>
<section id="une-mise-à-jour-des-données-simplifiée-et-contributive"
class="title-slide slide level1">
<h1>Une mise à jour des données simplifiée et contributive</h1>

</section>
<section
id="permettez-à-vos-équipes-et-à-vos-publics-daméliorer-les-données"
class="slide level2">
<h2>Permettez à vos équipes et à vos publics d’améliorer les
données</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Datami inclut un <strong>système de contribution et de
modération</strong></p>
<div class="fragment">
<p>En s’appuyant sur le langage Git, les <em>widgets</em> Datami vous
permettent de garder la main sur vos données et de gérer les
contributions, <strong>sans création de compte</strong> pour proposer
des améliorations</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-contribution-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
</section>
<section id="structurez-vos-données-pour-les-rendre-interopérables"
class="slide level2">
<h2>Structurez vos données <br>pour les rendre interopérables</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Vos données peuvent être associées à des fichiers permettant de les
structurer, tels que des fichiers de <strong>schéma de
données</strong></p>
<div class="fragment">
<p>En associant votre jeu de données à un schéma de données respectant
des <strong>standards</strong> internationaux vous vous assurez qu’elles
pourront être correctement réutilisées et améliorées</p>
</div>
</div><div class="column" style="width:60%;">
<figure>
<img data-src="images/screenshots/datami-schemas-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section></section>
<section>
<section id="un-outil-de-pilotage" class="title-slide slide level1">
<h1>Un outil de pilotage</h1>

</section>
<section id="pilotez-vos-actions-de-terrain-par-la-donnée"
class="slide level2">
<h2>Pilotez vos actions de terrain par la donnée</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p><strong>Explorer vos données</strong> vous permet de mieux comprendre
et piloter vos actions sur le terrain</p>
<div class="fragment">
<p>Datami permet de mettre en place des data-visualisations interactives
personnalisées, afin de rendre vos données facilement explorables</p>
</div>
</div><div class="column" style="width:60%;">
<figure>
<img data-src="images/screenshots/datami-pilotage-01.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section></section>
<section>
<section id="un-outil-open-source" class="title-slide slide level1">
<h1>Un outil <em>open source</em></h1>

</section>
<section id="un-logiciel-libre-et-multi-usages" class="slide level2">
<h2>Un logiciel libre et multi-usages</h2>
<figure>
<img data-src="images/screenshots/datami-feats-matrix.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</section>
<section class="slide level2">

<h3 id="découvrez-les-interfaces">Découvrez les interfaces</h3>
<video
  id="datami-video-presentation"
  width="100%"
  height="85%"
  style="box-shadow: 0 0 20px #D7D7D7;"
  poster="https://raw.githubusercontent.com/multi-coop/datami-website-content/images/logos/logo-DATAMI-rect-colors-03.png"
  controls>
<source
    src="https://raw.githubusercontent.com/multi-coop/datami-website-content/main/videos/DATAMI_TUTORIEL-FR.mp4#t=0,135"
    type="video/mp4">
</video>
</section>
<section class="slide level2">

<p>Datami est un <strong>logiciel sous licence libre</strong>
entièrement auditable et réutilisable</p>
<p>Pour découvrir et apprendre à utiliser Datami vous pouvez :</p>
<div>
<ul>
<li class="fragment">Aller sur le <a
href="https://datami.multi.coop">site officiel de Datami</a> ;</li>
<li class="fragment">Accéder directement au <a
href="https://gitlab.com/multi-coop/datami-project/datami">code source
de Datami</a> ;</li>
<li class="fragment">Consulter la <a
href="https://datami-docs.multi.coop">documentation technique</a> et les
tutoriels en ligne ;</li>
<li class="fragment">Faire appel à la <a
href="https://multi.coop">coopérative Multi</a> pour du conseil en data
science et pour de la formation.</li>
</ul>
</div>
</section>
<section id="le-site-officiel" class="slide level2">
<h2>Le site officiel</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Sur notre <strong>site officiel</strong> vous trouverez des
<strong>vidéos</strong> de présentation, des <strong>exemples</strong>,
ainsi que notre espace de <strong>blog</strong></p>
<div class="fragment">
<p>Le site est traduit au français et à l’anglais</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-website-fr.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
<div class="text-center">
<p>🚀 <a href="https://datami.multi.coop">datami.multi.coop</a></p>
</div>
</div>
</div>
</section>
<section id="le-code-source" class="slide level2">
<h2>Le code source</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Notre <strong>code source est sur Gitlab</strong> sous licence
<em>open source</em></p>
<div class="fragment">
<p>N’hésitez pas à nous signaler les <em>bugs</em> en proposant des <a
href="https://gitlab.com/multi-coop/datami-project/datami/-/issues"><em>issues</em></a>,
ou à donner des idées de nouvelles fonctionnalités sur notre <a
href="https://gitlab.com/multi-coop/datami-project/datami/-/boards/4736577"><em>roadmap</em></a></p>
<p>Un <a href="https://github.com/multi-coop/datami">repo miroir</a> est
également synchronisé automatiquement sur Github</p>
<p>Pensez à laisser une petite ⭐️ si le projet vous plaît !</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-gitlab.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
<div class="text-center">
<p>💻 <a href="https://gitlab.com/multi-coop/datami-project/datami">Repo
Gitlab</a></p>
<p><img
data-src="https://img.shields.io/badge/dynamic/json?color=turquoise&amp;label=gitlab%20stars%20%E2%98%85&amp;query=%24.star_count&amp;url=https%3A%2F%2Fgitlab.com%2Fapi%2Fv4%2Fprojects%2F39268471" /></p>
</div>
</div>
</div>
</section>
<section id="le-site-de-documentation-technique" class="slide level2">
<h2>Le site de documentation technique</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Visitez également notre <strong>site de documentation</strong>
dédié</p>
<div class="fragment">
<p>Le site est traduit au français et à l’anglais</p>
<p>Vous y trouverez différentes sections: principes techniques,
tutoriels, exemples, description des différents widgets et de leurs
éléments de configuration…</p>
</div>
</div><div class="column" style="width:60%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/datami-doc-website.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
<div class="text-center">
<p>🔧 <a
href="https://datami-docs.multi.coop">datami-docs.multi.coop</a></p>
</div>
</div>
</div>
</section>
<section id="la-stack-technique" class="slide level2">
<h2>La <em>stack</em> technique</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>La <em>stack</em> technique est <strong>entièrement composée de
librairies <em>open source</em></strong></p>
</div><div class="column" style="width:60%;">
<ul>
<li><a
href="https://v2.vuejs.org/v2/guide"><code>Vue.js (v2.x)</code></a></li>
<li><a href="https://vuex.vuejs.org/"><code>VueX</code></a></li>
<li><a
href="https://github.com/karol-f/vue-custom-element"><code>vue-custom-element</code></a></li>
<li><a
href="https://www.npmjs.com/package/gray-matter"><code>gray-matter</code></a></li>
<li><a
href="https://www.npmjs.com/package/showdown"><code>Showdown</code></a>
+ <a
href="https://github.com/showdownjs/table-extension#readme"><code>showdown-table extension</code></a></li>
<li><a href="https://bulma.io/"><code>Bulma</code></a> + <a
href="https://buefy.org/"><code>Buefy</code></a></li>
<li><a
href="https://materialdesignicons.com/"><code>Material Design</code></a></li>
<li><a
href="https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API/Using_Fetch"><code>Fetch</code></a></li>
<li><a
href="https://github.com/kpdecker/jsdiff"><code>JSDiff</code></a></li>
<li><a
href="https://www.npmjs.com/package/diff2html"><code>Diff2html</code></a></li>
<li><a href="https://maplibre.org"><code>MapLibre</code></a></li>
<li><a href="https://apexcharts.com"><code>ApexCharts</code></a></li>
</ul>
</div>
</div>
</section>
<section id="référencement" class="slide level2">
<h2>Référencement</h2>
<div class="columns">
<div class="column" style="width:50%;">
<p>Sur <a href="https://comptoir-du-libre.org/fr/softwares/583">Le
Comptoir du Libre</a></p>
<div class="fragment">
<p>Visitez cette page pour laisser un commentaire sur Datami !</p>
</div>
</div><div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/ref-comptoir-du-libre.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
<div class="columns">
<div class="column" style="width:50%;">
<p>Sur <a
href="https://alternativeto.net/software/datami/about/p">AlternativeTo</a></p>
<div class="fragment">
<p>Visitez cette page pour laisser un commentaire sur Datami !</p>
</div>
</div><div class="column" style="width:50%;">
<div class="img-shadow">
<figure>
<img data-src="images/screenshots/ref-alternative-to.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
</section></section>
<section>
<section id="offre-de-services" class="title-slide slide level1">
<h1>Offre de services</h1>

</section>
<section id="loffre-datami-par-la-coopérative-multi"
class="slide level2">
<h2>L’offre Datami par la coopérative multi</h2>
<div class="columns">
<div class="column" style="width:40%;">
<p>Afin de rendre Datami le plus accessible possible, nous avons pour
principe celui de <strong>mutualiser la conception et les coûts de
développements</strong></p>
<div class="fragment">
<p>Tous les développements - même minimes - contribuant à améliorer
Datami profitent ainsi au final à tous les utilisateurs</p>
</div>
</div><div class="column" style="width:60%;">
<figure>
<img data-src="images/offer/multi-datami-offer-fr.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</section>
<section id="mise-en-place-de-datami" class="slide level2">
<h2>Mise en place de Datami</h2>
<div class="columns">
<div class="column" style="width:40%;">
<figure>
<img data-src="images/offer/datami-logo-setup.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div><div class="column" style="width:60%;">
<p>Nous proposons un <strong>forfait économique de quelques
jours</strong> seulement pour un accompagnement de mise en place de
Datami</p>
<div class="fragment">
<p>Nous pouvons vous aider à configurer Datami et vous conseiller dans
votre projet de valorisation de données</p>
</div>
</div>
</div>
</section>
<section id="logiciel-libre" class="slide level2">
<h2>Logiciel libre</h2>
<div class="columns">
<div class="column" style="width:40%;">
<figure>
<img data-src="images/offer/datami-logo-pack.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div><div class="column" style="width:60%;">
<p>Datami est un outil <strong>100% <em>open source</em></strong></p>
<div class="fragment">
<p>Vous pouvez utiliser Datami tel quel en vous appuyant sur la
documentation, vous êtes libre !</p>
</div>
</div>
</div>
</section>
<section id="développements-personnalisés" class="slide level2">
<h2>Développements personnalisés</h2>
<div class="columns">
<div class="column" style="width:40%;">
<figure>
<img data-src="images/offer/datami-logo-custom_dev.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div><div class="column" style="width:60%;">
<p>N’hésitez pas à nous contacter pour nous faire part de <strong>vos
besoins</strong> pour vous établir un devis personnalisé</p>
<div class="fragment">
<p>Nous avons à cœur de continuer à développer et d’améliorer Datami, et
nous proposons également des services en <em>data science</em> et
<em>data engineering</em></p>
</div>
</div>
</div>
</section></section>
<section>
<section id="guide-dinstallation" class="title-slide slide level1">
<h1>Guide d’installation</h1>

</section>
<section id="le-code-source-1" class="slide level2">
<h2>Le code source</h2>
<p>Clonez le code source depuis le <a
href="https://gitlab.com/multi-coop/datami-project/datami">repo
Gitlab</a> de Datami</p>
<div class="sourceCode" id="cb1"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb1-1"><a href="#cb1-1" aria-hidden="true" tabindex="-1"></a><span class="fu">git</span> clone git@gitlab.com:multi-coop/datami-project/datami.git</span></code></pre></div>
<p>Puis accédez au dossier</p>
<div class="sourceCode" id="cb2"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb2-1"><a href="#cb2-1" aria-hidden="true" tabindex="-1"></a><span class="bu">cd</span> datami</span></code></pre></div>
</section>
<section id="installation" class="slide level2">
<h2>Installation</h2>
<div class="columns">
<div class="column" style="width:30%;">
<p>Installez <code>npm 8.3.2</code> …</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb3"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb3-1"><a href="#cb3-1" aria-hidden="true" tabindex="-1"></a><span class="ex">npm</span> install <span class="at">-g</span> npm@8.3.2</span></code></pre></div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<p>… ou utilisez <code>nvm</code></p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb4"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb4-1"><a href="#cb4-1" aria-hidden="true" tabindex="-1"></a><span class="ex">brew</span> install nvm <span class="co"># sur mac</span></span>
<span id="cb4-2"><a href="#cb4-2" aria-hidden="true" tabindex="-1"></a><span class="ex">nvm</span> use</span></code></pre></div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<p>Installez les dépendances</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb5"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb5-1"><a href="#cb5-1" aria-hidden="true" tabindex="-1"></a><span class="ex">npm</span> install</span></code></pre></div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<p>Créez un fichier <code>.env</code> localement sur la base du ficher
<code>example.env</code> en exemple</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb6"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb6-1"><a href="#cb6-1" aria-hidden="true" tabindex="-1"></a><span class="fu">cp</span> example.env .env</span></code></pre></div>
</div>
</div>
</section>
<section id="lancez-datami" class="slide level2">
<h2>Lancez Datami</h2>
<div class="columns">
<div class="column" style="width:30%;">
<p>Lancez le script</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb7"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb7-1"><a href="#cb7-1" aria-hidden="true" tabindex="-1"></a><span class="ex">npm</span> run serve</span></code></pre></div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<p>Dans votre navigateur</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb8"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb8-1"><a href="#cb8-1" aria-hidden="true" tabindex="-1"></a><span class="ex">http://localhost:8080</span></span></code></pre></div>
</div>
</div>
</section>
<section id="liste-dexemples-de-widgets" class="slide level2">
<h2>Liste d’exemples de <em>widgets</em></h2>
<div class="columns">
<div class="column" style="width:30%;">
<p>Lancez le serveur local</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb9"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb9-1"><a href="#cb9-1" aria-hidden="true" tabindex="-1"></a><span class="ex">nvm</span> use</span>
<span id="cb9-2"><a href="#cb9-2" aria-hidden="true" tabindex="-1"></a><span class="ex">npm</span> run http</span></code></pre></div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<p>Dans votre navigateur</p>
</div><div class="column" style="width:70%;">
<div class="sourceCode" id="cb10"><pre
class="sourceCode bash"><code class="sourceCode bash"><span id="cb10-1"><a href="#cb10-1" aria-hidden="true" tabindex="-1"></a><span class="ex">http://localhost:8180/html-tests/</span></span></code></pre></div>
</div>
</div>
</section></section>
<section>
<section id="benchmark" class="title-slide slide level1">
<h1>Benchmark</h1>

</section>
<section class="slide level2">

<div class="text-center">
<p>Il existe plusieurs solutions de datavisualisation et d’édition
<br>partageant des similitudes avec <a
href="https://datami.multi.coop">Datami</a></p>
<p>Voici quelques-unes des solutions les plus populaires</p>
<div class="fragment">
<p><strong>Ces benchmarks sont donnés à titre purement
indicatif</strong></p>
<p>N’hésitez pas à nous écrire à<br><code>contact@multi.coop</code>
<br>si vous souhaitez y apporter des corrections ou des ajouts</p>
</div>
</div>
</section>
<section class="slide level2">

<h3 id="outils-de-datavisualisation">Outils de datavisualisation</h3>
<table>
<colgroup>
<col style="width: 11%" />
<col style="width: 10%" />
<col style="width: 21%" />
<col style="width: 12%" />
<col style="width: 4%" />
<col style="width: 40%" />
</colgroup>
<thead>
<tr class="header">
<th>Solution</th>
<th>Type de solution</th>
<th>Langages supportés</th>
<th>Niveau de difficulté</th>
<th>En Saas</th>
<th>Site officiel</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><strong>Gogocarto</strong></td>
<td>Open source</td>
<td>Propre langage de requête</td>
<td>Facile</td>
<td>Oui</td>
<td><a
href="https://gogocarto.fr/projects">https://gogocarto.fr/projects</a></td>
</tr>
<tr class="even">
<td><strong>Umap</strong></td>
<td>Open source</td>
<td>Propre langage de requête</td>
<td>Facile</td>
<td>Oui</td>
<td><a
href="https://umap.openstreetmap.fr/">https://umap.openstreetmap.fr/</a></td>
</tr>
<tr class="odd">
<td><strong>Lizmap</strong></td>
<td>Open source</td>
<td>Propre langage de requête</td>
<td>Moyen</td>
<td>Oui</td>
<td><a href="https://www.lizmap.com">https://www.lizmap.com</a></td>
</tr>
<tr class="even">
<td><strong>Apache Superset</strong></td>
<td>Open source</td>
<td>SQL</td>
<td>Moyen</td>
<td>Oui</td>
<td><a
href="https://superset.apache.org/">https://superset.apache.org/</a></td>
</tr>
<tr class="odd">
<td><strong>Apache Zeppelin</strong></td>
<td>Open source</td>
<td>Plusieurs langages de programmation</td>
<td>Difficile</td>
<td>Non</td>
<td><a
href="https://zeppelin.apache.org/">https://zeppelin.apache.org/</a></td>
</tr>
<tr class="even">
<td><strong>BIRT</strong></td>
<td>Open source</td>
<td>Java, JavaScript</td>
<td>Difficile</td>
<td>Non</td>
<td><a
href="https://www.eclipse.org/birt/">https://www.eclipse.org/birt/</a></td>
</tr>
<tr class="odd">
<td><strong>FineReport</strong></td>
<td>Open source</td>
<td>Java, JavaScript</td>
<td>Moyen</td>
<td>Non</td>
<td><a
href="https://www.finereport.com/en">https://www.finereport.com/en</a></td>
</tr>
<tr class="even">
<td><strong>Grafana</strong></td>
<td>Open source</td>
<td>Propre langage de requête</td>
<td>Difficile</td>
<td>Non</td>
<td><a href="https://grafana.com/">https://grafana.com/</a></td>
</tr>
<tr class="odd">
<td><strong>Metabase</strong></td>
<td>Open source</td>
<td>SQL</td>
<td>Facile</td>
<td>Oui</td>
<td><a
href="https://www.metabase.com/">https://www.metabase.com/</a></td>
</tr>
<tr class="even">
<td><strong>Redash</strong></td>
<td>Open source</td>
<td>SQL</td>
<td>Moyen</td>
<td>Non</td>
<td><a href="https://redash.io/">https://redash.io/</a></td>
</tr>
<tr class="odd">
<td><strong>Datasette</strong></td>
<td>Open source</td>
<td>SQL</td>
<td>Moyen</td>
<td>Non</td>
<td><a href="https://datasette.io/">https://datasette.io/</a></td>
</tr>
<tr class="even">
<td><strong>LightDash</strong></td>
<td>Open source</td>
<td>Dbt</td>
<td>Moyen</td>
<td>Oui</td>
<td><a
href="https://www.lightdash.com/">https://www.lightdash.com/</a></td>
</tr>
<tr class="odd">
<td><strong>Google Data Studio</strong></td>
<td>Gratuit</td>
<td>SQL</td>
<td>Facile</td>
<td>Oui</td>
<td><a
href="https://datastudio.google.com/">https://datastudio.google.com/</a></td>
</tr>
<tr class="even">
<td><strong>Datawrapper</strong></td>
<td>Commercial</td>
<td>API, CSV, GSheet</td>
<td>Facile</td>
<td>Oui</td>
<td><a
href="https://www.datawrapper.de/">https://www.datawrapper.de/</a></td>
</tr>
<tr class="odd">
<td><strong>Google Looker</strong></td>
<td>Commercial</td>
<td>LookML</td>
<td>Difficile</td>
<td>Oui</td>
<td><a href="https://looker.com/">https://looker.com/</a></td>
</tr>
<tr class="even">
<td><strong>Microsoft Power BI</strong></td>
<td>Commercial</td>
<td>DAX et M</td>
<td>Moyen</td>
<td>Oui</td>
<td><a
href="https://powerbi.microsoft.com/">https://powerbi.microsoft.com/</a></td>
</tr>
<tr class="odd">
<td><strong>QlikView</strong></td>
<td>Commercial</td>
<td>Propre langage de script</td>
<td>Difficile</td>
<td>Oui</td>
<td><a href="https://www.qlik.com/">https://www.qlik.com/</a></td>
</tr>
<tr class="even">
<td><strong>Tableau</strong></td>
<td>Commercial</td>
<td>Calculs personnalisés</td>
<td>Moyen</td>
<td>Oui</td>
<td><a href="https://www.tableau.com/">https://www.tableau.com/</a></td>
</tr>
</tbody>
</table>
</section>
<section class="slide level2">

<h3 id="outils-dédition-en-ligne">Outils d’édition en ligne</h3>
<table>
<colgroup>
<col style="width: 8%" />
<col style="width: 5%" />
<col style="width: 11%" />
<col style="width: 8%" />
<col style="width: 2%" />
<col style="width: 33%" />
<col style="width: 30%" />
</colgroup>
<thead>
<tr class="header">
<th>Solution</th>
<th>Type de solution</th>
<th>Langages supportés</th>
<th>Niveau de difficulté</th>
<th>Saas</th>
<th>Public visé</th>
<th>Site officiel</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><strong>Apache Zeppelin</strong></td>
<td>Open source</td>
<td>Scala, Python, R, SQL</td>
<td>Difficile</td>
<td>Non</td>
<td>Développeurs et utilisateurs professionnels</td>
<td><a
href="https://zeppelin.apache.org/">https://zeppelin.apache.org/</a></td>
</tr>
<tr class="even">
<td><strong>Baserow</strong></td>
<td>Open source</td>
<td>Python, Javascript, Vue.js</td>
<td>Moyen</td>
<td>Oui</td>
<td>Développeurs et utilisateurs professionnels</td>
<td><a href="https://baserow.io/">https://baserow.io/</a></td>
</tr>
<tr class="odd">
<td><strong>Grist</strong></td>
<td>Open source</td>
<td>Python</td>
<td>Facile</td>
<td>Oui</td>
<td>Entreprises, organisations sans but lucratif, gouvernements,
universités, chercheurs</td>
<td><a href="https://getgrist.com/">https://getgrist.com/</a></td>
</tr>
<tr class="even">
<td><strong>Metabase</strong></td>
<td>Open source</td>
<td>Java, Clojure</td>
<td>Moyen</td>
<td>Oui</td>
<td>Startups, PME, organisations sans but lucratif</td>
<td><a
href="https://www.metabase.com/">https://www.metabase.com/</a></td>
</tr>
<tr class="odd">
<td><strong>LockoKit</strong></td>
<td>Open source</td>
<td>…</td>
<td>Moyen</td>
<td>Non</td>
<td>Développeurs et utilisateurs professionnels</td>
<td><a href="https://locokit.io/">https://locokit.io/</a></td>
</tr>
<tr class="even">
<td><strong>NoCodB</strong></td>
<td>Open source</td>
<td>Javascript, Node.js</td>
<td>Facile</td>
<td>Oui</td>
<td>Développeurs et utilisateurs professionnels</td>
<td><a href="https://nocodb.com/">https://nocodb.com/</a></td>
</tr>
<tr class="odd">
<td><strong>Gsheet</strong></td>
<td>Gratuit</td>
<td>Aucune</td>
<td>Facile</td>
<td>Oui</td>
<td>Entreprises, équipes, indépendants, PME</td>
<td><a
href="https://www.google.com/sheets/about/">https://www.google.com/sheets/about/</a></td>
</tr>
<tr class="even">
<td><strong>Airtable</strong></td>
<td>Commercial</td>
<td>Aucune</td>
<td>Facile</td>
<td>Oui</td>
<td>Entreprises, équipes, indépendants, PME</td>
<td><a href="https://airtable.com/">https://airtable.com/</a></td>
</tr>
<tr class="odd">
<td><strong>Qlikview</strong></td>
<td>Commercial</td>
<td>Aucune</td>
<td>Moyen</td>
<td>Oui</td>
<td>Grandes entreprises, institutions financières</td>
<td><a href="https://www.qlik.com/us/">https://www.qlik.com/us/</a></td>
</tr>
</tbody>
</table>
</section>
<section id="benchmark-fonctionnel" class="slide level2">
<h2>Benchmark fonctionnel</h2>
<div class="text-micro">
<p>Parmi toutes les solutions que nous venons de lister certaines
peuvent être relativement aisément <br>comparées avec les
fonctionnalités principales proposées par <strong>Datami</strong></p>
</div>
<table style="width:100%;">
<colgroup>
<col style="width: 7%" />
<col style="width: 5%" />
<col style="width: 4%" />
<col style="width: 4%" />
<col style="width: 5%" />
<col style="width: 4%" />
<col style="width: 5%" />
<col style="width: 3%" />
<col style="width: 5%" />
<col style="width: 11%" />
<col style="width: 8%" />
<col style="width: 9%" />
<col style="width: 2%" />
<col style="width: 21%" />
</colgroup>
<thead>
<tr class="header">
<th>Solution</th>
<th>Open source</th>
<th>Facilité</th>
<th>Vue table</th>
<th>Vue fiches</th>
<th>Vue carto</th>
<th>Vue dataviz</th>
<th>Edition</th>
<th>Modération</th>
<th>Interface de configuration</th>
<th>Data sources</th>
<th>Backend</th>
<th>Widget</th>
<th>Site officiel</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><strong>Datami</strong></td>
<td>✅</td>
<td>⭐⭐</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>❌ (for now)</td>
<td>API ext. (Git)</td>
<td>Git platforms / APIs</td>
<td>✅</td>
<td><a href="https://datami.multi.coop/">Website</a></td>
</tr>
<tr class="even">
<td><strong>Metabase</strong></td>
<td>✅</td>
<td>⭐⭐</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>✅</td>
<td>⚠️</td>
<td>❌</td>
<td>✅</td>
<td>SQL, connectors</td>
<td>server / APIs</td>
<td>✅</td>
<td><a href="https://www.metabase.com/">Website</a></td>
</tr>
<tr class="odd">
<td><strong>Gogocarto</strong></td>
<td>✅</td>
<td>⭐⭐⭐</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>✅</td>
<td>❌</td>
<td>✅</td>
<td>proper</td>
<td>server / APIs</td>
<td>✅</td>
<td><a href="https://gogocarto.fr/projects">Website</a></td>
</tr>
<tr class="even">
<td><strong>Lizmap</strong></td>
<td>✅</td>
<td>⭐</td>
<td>⚠️</td>
<td>❌</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>✅</td>
<td>proper</td>
<td>server / ❓</td>
<td>✅</td>
<td><a href="https://www.lizmap.com">Website</a></td>
</tr>
<tr class="odd">
<td><strong>Umap</strong></td>
<td>✅</td>
<td>⭐⭐⭐</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>❌</td>
<td>✅</td>
<td>❌</td>
<td>✅</td>
<td>…</td>
<td>server / ❓</td>
<td>✅</td>
<td><a href="https://umap.openstreetmap.fr/">Website</a></td>
</tr>
<tr class="even">
<td><strong>Grist</strong></td>
<td>✅</td>
<td>⭐</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>SQL</td>
<td>server / APIs</td>
<td>❌</td>
<td><a href="https://getgrist.com/">Website</a></td>
</tr>
<tr class="odd">
<td><strong>Baserow</strong></td>
<td>✅</td>
<td>⭐⭐</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>SQL</td>
<td>server / ❓</td>
<td>❌</td>
<td><a href="https://baserow.io/">Website</a></td>
</tr>
<tr class="even">
<td><strong>LockoKit</strong></td>
<td>✅</td>
<td>⭐⭐</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>proper</td>
<td>server / ❓</td>
<td>❌</td>
<td><a href="https://locokit.io/">Website</a></td>
</tr>
<tr class="odd">
<td><strong>NoCodB</strong></td>
<td>✅</td>
<td>⭐</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>SQL</td>
<td>server / ❓</td>
<td>❌</td>
<td><a href="https://nocodb.com/">Website</a></td>
</tr>
<tr class="even">
<td><strong>Apache Superset</strong></td>
<td>✅</td>
<td>⭐⭐</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>SQL</td>
<td>server / Saas</td>
<td>❓</td>
<td><a href="https://superset.apache.org/">Website</a></td>
</tr>
<tr class="odd">
<td><strong>Datawrapper</strong></td>
<td>🔒</td>
<td>⭐⭐⭐</td>
<td>✅</td>
<td>❓</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>SQL, connectors</td>
<td>Saas</td>
<td>✅</td>
<td><a href="https://www.datawrapper.de/">Website</a></td>
</tr>
<tr class="even">
<td><strong>Airtable</strong></td>
<td>🔒</td>
<td>⭐⭐⭐</td>
<td>✅</td>
<td>✅</td>
<td>❌</td>
<td>⚠️</td>
<td>✅</td>
<td>⚠️</td>
<td>✅</td>
<td>proper, connectors</td>
<td>Saas</td>
<td>✅</td>
<td><a href="https://airtable.com/">Website</a></td>
</tr>
<tr class="odd">
<td><strong>Gsheet</strong></td>
<td>🔒</td>
<td>⭐⭐⭐</td>
<td>✅</td>
<td>❌</td>
<td>❌</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>✅</td>
<td>proper, connectors</td>
<td>Saas</td>
<td>✅</td>
<td><a href="https://www.google.com/sheets/about/">Website</a></td>
</tr>
</tbody>
</table>
<div class="text-micro text-center">
<p>Les ❓ indiquent que l’information est à compléter <br> Les ⚠️ que la
fonctionnalité peut être mise en place mais que son usage peut être
ardu</p>
</div>
</section>
<section class="slide level2">

<p>Bien que ces solutions partagent certaines fonctionnalités avec <a
href="https://datami.multi.coop">Datami</a>, elles peuvent différer
considérablement en termes de coût, de complexité et de fonctionnalités
spécifiques</p>
<p>Il est important de prendre en compte les <strong>besoins spécifiques
de chaque projet</strong> avant de choisir la solution de
datavisualisation et d’édition en ligne la plus adaptée</p>
</section></section>
<section>
<section id="feuilles-de-route-techniques"
class="title-slide slide level1">
<h1>Feuilles de route techniques</h1>

</section>
<section class="slide level2">

<p>Voici une liste de différentes fonctionnalités <br>reflétant les
demandes et les besoins émanant <br>de nos différents utilisateurs à ce
jour.</p>
<div class="text-micro">
<p>Cette feuille de route est à prendre comme une <em>whish list</em>
des fonctionnalités que nous considérons comme intéressantes et
compatibles avec Datami, et que nous aimerions pouvoir développer
<strong>si nous arrivons à trouver les financements
correspondants</strong>.</p>
</div>
</section>
<section class="slide level2">

<p>Les développements sont décrits par :</p>
<div class="text-micro">
<ul>
<li><strong>Milestone</strong> : la famille de fonctionnalités</li>
<li><strong>Features</strong> : la fonctionnalité à développer</li>
<li><strong>Priority</strong> ( 🔴 ) : importance donnée à la
fonctionnalité par les utilisateurs</li>
<li><strong>Difficulty</strong> ( ▪️ ) : complexité anticipée des
développements</li>
<li><strong>Dev. + man.</strong> : somme des temps de développement et
de gestion de projet à prévoir (en jours / personne)</li>
</ul>
</div>
</section>
<section id="feuille-de-route-technique-2023---globale"
class="slide level2">
<h2>Feuille de route technique 2023 - globale</h2>
<p><br></p>
<div class="text-center">
<p><b>Classement par milestones</b></p>
</div>
<table>
<colgroup>
<col style="width: 44%" />
<col style="width: 16%" />
<col style="width: 19%" />
<col style="width: 19%" />
</colgroup>
<thead>
<tr class="header">
<th><strong>Milestones</strong></th>
<th><strong>Priority</strong></th>
<th><strong>Difficulty</strong></th>
<th><strong>Dev + man.</strong></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><b>More data sources</b></td>
<td>🔴 high</td>
<td>▪️ easy</td>
<td><b>38 days</b></td>
</tr>
<tr class="even">
<td><b>Online widget configuration</b></td>
<td>🔴 high</td>
<td>▪️▪️▪️ hard</td>
<td><b>26 days</b></td>
</tr>
<tr class="odd">
<td><b>Manage contribution widget</b></td>
<td>🔴 high</td>
<td>▪️▪️▪️ hard</td>
<td><b>25 days</b></td>
</tr>
<tr class="even">
<td><b>Protect widget with password</b></td>
<td>🟠 medium</td>
<td>▪️ easy</td>
<td><b>12 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data management</b></td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>42 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data interaction</b></td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>44 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - maps</b></td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>37 days</b></td>
</tr>
<tr class="even">
<td><b>Better UI - customization</b></td>
<td>🟠 medium</td>
<td>▪️ easy</td>
<td><b>13 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UI - new views</b></td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>27 days</b></td>
</tr>
<tr class="even">
<td><b>Refactoring</b></td>
<td>🟠 medium</td>
<td>▪️▪️▪️ hard</td>
<td><b>48 days</b></td>
</tr>
<tr class="odd">
<td><b>Tests</b></td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>18 days</b></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td><strong>TOTAL</strong></td>
<td><strong>330 days</strong></td>
</tr>
</tbody>
</table>
</section>
<section id="schémas-des-futurs-développements" class="slide level2">
<h2>Schémas des futurs développements</h2>
<div class="text-micro">
<div class="columns">
<div class="column" style="width:50%;">
<p>Les parties en <span class="text-secondary">orange</span> symbolisent
les principales <em>milestones</em> à développer décrites dans les
feuilles de route.</p>
<p>Les parties en <strong>turquoise</strong> symbolisent les
fonctionnalités déjà existantes dans Datami.</p>
</div><div class="column mt-default" style="width:50%;">
<ul>
<li><soan class="text-secondary">A</soan> : <b>Online widget
configuration</b></li>
<li><soan class="text-secondary">B</soan> : <b>Manage contribution
widget</b></li>
<li><soan class="text-secondary">C</soan> : <b>More data
sources</b></li>
</ul>
</div>
</div>
</div>
<div class="no-mt h-50">
<figure>
<img data-src="images/roadmaps/archi-devs-roadmap-fr.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</section>
<section id="feuille-de-route-technique-2023---détaillée-12"
class="slide level2">
<h2>Feuille de route technique 2023 - détaillée 1/2</h2>
<table style="width:100%;">
<colgroup>
<col style="width: 27%" />
<col style="width: 37%" />
<col style="width: 10%" />
<col style="width: 12%" />
<col style="width: 12%" />
</colgroup>
<thead>
<tr class="header">
<th><strong>Milestones</strong></th>
<th><strong>Features</strong></th>
<th><strong>Priority</strong></th>
<th><strong>Difficulty</strong></th>
<th><strong>Dev + man.</strong></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><b>More data sources</b></td>
<td>Connect to external APIs - generic</td>
<td>🔴 high</td>
<td>▪️ easy</td>
<td><b>5 days</b></td>
</tr>
<tr class="even">
<td><b>More data sources</b></td>
<td>Connect to external APIs - OSM</td>
<td>🟡 low</td>
<td>▪️ easy</td>
<td><b>5 days</b></td>
</tr>
<tr class="odd">
<td><b>More data sources</b></td>
<td>Activity pub integration</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>18 days</b></td>
</tr>
<tr class="even">
<td><b>More data sources</b></td>
<td>Connector to SourceForge</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>5 days</b></td>
</tr>
<tr class="odd">
<td><b>More data sources</b></td>
<td>Connector to BitBucket</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>5 days</b></td>
</tr>
<tr class="even">
<td><b>Online widget configuration</b></td>
<td>Interactive interface + preview</td>
<td>🔴 high</td>
<td>▪️▪️▪️ hard</td>
<td><b>20 days</b></td>
</tr>
<tr class="odd">
<td><b>Online widget configuration</b></td>
<td>Save new config to git repo</td>
<td>🔴 high</td>
<td>▪️▪️ medium</td>
<td><b>6 days</b></td>
</tr>
<tr class="even">
<td><b>Manage contribution widget</b></td>
<td>Interface loading last PRs from repo</td>
<td>🔴 high</td>
<td>▪️▪️▪️ hard</td>
<td><b>15 days</b></td>
</tr>
<tr class="odd">
<td><b>Manage contribution widget</b></td>
<td>Accept / moderate PR + messages</td>
<td>🔴 high</td>
<td>▪️ easy</td>
<td><b>10 days</b></td>
</tr>
<tr class="even">
<td><b>Protect widget with password</b></td>
<td>Protect access before showing widget</td>
<td>🟠 medium</td>
<td>▪️ easy</td>
<td><b>6 days</b></td>
</tr>
<tr class="odd">
<td><b>Protect widget with password</b></td>
<td>Special token for protected widget</td>
<td>🟠 medium</td>
<td>▪️▪️ medium</td>
<td><b>6 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data management</b></td>
<td>Add a new column + update schema</td>
<td>🟠 medium</td>
<td>▪️▪️ medium</td>
<td><b>10 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data management</b></td>
<td>Drag &amp; drop CSV to widget</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>10 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data management</b></td>
<td>Save CSV file to Git repo</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>4 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data management</b></td>
<td>Add / drag-drop a picture in a cell</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>6 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data management</b></td>
<td>Cache user changes / branch until pushing</td>
<td>🟠 medium</td>
<td>▪️▪️▪️ hard</td>
<td><b>12 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data interaction</b></td>
<td>Full screen - debug</td>
<td>🟠 medium</td>
<td>▪️▪️ medium</td>
<td><b>6 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data interaction</b></td>
<td>Range filter</td>
<td>🟡 low</td>
<td>▪️ easy</td>
<td><b>4 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data interaction</b></td>
<td>Change width column</td>
<td>🟠 medium</td>
<td>▪️▪️ medium</td>
<td><b>8 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data interaction</b></td>
<td>Helper at loader</td>
<td>🟡 low</td>
<td>▪️ easy</td>
<td><b>2 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UX - data interaction</b></td>
<td>Better integration of Frictionless data packages</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>12 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - data interaction</b></td>
<td>Export as pdf</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>12 days</b></td>
</tr>
</tbody>
</table>
</section>
<section id="feuille-de-route-technique-2023---détaillée-22"
class="slide level2">
<h2>Feuille de route technique 2023 - détaillée 2/2</h2>
<table style="width:100%;">
<colgroup>
<col style="width: 27%" />
<col style="width: 37%" />
<col style="width: 10%" />
<col style="width: 12%" />
<col style="width: 12%" />
</colgroup>
<thead>
<tr class="header">
<th><strong>Milestones</strong></th>
<th><strong>Features</strong></th>
<th><strong>Priority</strong></th>
<th><strong>Difficulty</strong></th>
<th><strong>Dev + man.</strong></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><b>Better UX - maps</b></td>
<td>Inject data to vector tiles on map view</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>8 days</b></td>
</tr>
<tr class="even">
<td><b>Better UX - maps</b></td>
<td>Add or edit geojson objects</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>29 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UI - customization</b></td>
<td>Custom styles / CSS / logos</td>
<td>🟠 medium</td>
<td>▪️ easy</td>
<td><b>4 days</b></td>
</tr>
<tr class="even">
<td><b>Better UI - customization</b></td>
<td>Accessibility</td>
<td>🟠 medium</td>
<td>▪️▪️ medium</td>
<td><b>9 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UI - new views</b></td>
<td>Agenda view</td>
<td>🟡 low</td>
<td>▪️ easy</td>
<td><b>8 days</b></td>
</tr>
<tr class="even">
<td><b>Better UI - new views</b></td>
<td>Graphs view with D3js</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>10 days</b></td>
</tr>
<tr class="odd">
<td><b>Better UI - new views</b></td>
<td>Simultaneous dataviz + map on same view</td>
<td>🟡 low</td>
<td>▪️▪️ medium</td>
<td><b>9 days</b></td>
</tr>
<tr class="even">
<td><b>Refactoring</b></td>
<td>Put all git* requests into a package</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>15 days</b></td>
</tr>
<tr class="odd">
<td><b>Refactoring</b></td>
<td>Migration to Typescript</td>
<td>🟠 medium</td>
<td>▪️▪️▪️ hard</td>
<td><b>15 days</b></td>
</tr>
<tr class="even">
<td><b>Refactoring</b></td>
<td>Migration to Vue3</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>18 days</b></td>
</tr>
<tr class="odd">
<td><b>Tests</b></td>
<td>Add functional &amp; unit tests</td>
<td>🟡 low</td>
<td>▪️▪️▪️ hard</td>
<td><b>18 days</b></td>
</tr>
</tbody>
</table>
</section>
<section id="feuille-de-route-technique-2023---globale-1"
class="slide level2">
<h2>Feuille de route technique 2023 - globale</h2>
<p><br></p>
<div class="text-center">
<p><b>Classement par priorité / difficulté</b></p>
</div>
<div class="table-matrix">
<table style="width:100%;">
<colgroup>
<col style="width: 29%" />
<col style="width: 18%" />
<col style="width: 17%" />
<col style="width: 17%" />
<col style="width: 18%" />
</colgroup>
<thead>
<tr class="header">
<th><strong>Priority / Difficulty</strong></th>
<th>▪️▪️▪️ hard</th>
<th>▪️▪️ medium</th>
<th>▪️ easy</th>
<th><strong>TOTAL</strong></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>🔴 high</td>
<td>35 days</td>
<td>6 days</td>
<td>15 days</td>
<td><b>56 days</b></td>
</tr>
<tr class="even">
<td>🟠 medium</td>
<td>27 days</td>
<td>39 days</td>
<td>10 days</td>
<td><b>76 days</b></td>
</tr>
<tr class="odd">
<td>🟡 low</td>
<td>132 days</td>
<td>47 days</td>
<td>19 days</td>
<td><b>198 days</b></td>
</tr>
<tr class="even">
<td><strong>TOTAL</strong></td>
<td><b>194 days</b></td>
<td><b>92 days</b></td>
<td><b>44 days</b></td>
<td><strong>330 days</strong></td>
</tr>
</tbody>
</table>
</div>
</section>
<section id="planning-prévisionnel" class="slide level2">
<h2>Planning prévisionnel</h2>
<div class="img-table">
<figure>
<img data-src="images/tables/retroplanning.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
<div class="text-micro text-center">
<p>Note : ce planning est appelé à évoluer en fonction des demandes des
utilisateurs et des financements.</p>
</div>
</section></section>
<section>
<section id="crédits" class="title-slide slide level1">
<h1>Crédits</h1>

</section>
<section id="un-projet-par-la-coopérative-multi" class="slide level2">
<h2>Un projet par la coopérative multi</h2>
<div class="columns">
<div class="column" style="width:60%;">
<p>Notre coopérative contribue à développer des <strong>communs
numériques</strong> et des services associés, en regroupant une
communauté de professionnel·le·s oeuvrant pour un <strong>numérique
d’intérêt général</strong></p>
</div><div class="column" style="width:40%;">
<figure>
<img data-src="images/logos/logo-MULTI-colored-063442-02.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
<div class="text-center">
<p>🚀 <a href="https://multi.coop">https://multi.coop</a></p>
</div>
</div>
</div>
</section>
<section id="nos-premiers-utilisateurs" class="slide level2">
<h2>Nos premiers utilisateurs</h2>
<figure>
<img data-src="images/clients/clients.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</section>
<section id="nos-sponsors" class="slide level2">
<h2>Nos sponsors</h2>
<p>Datami a été un projet <strong>lauréat du Plan France Relance
2022</strong> et a bénéficié du soutien des organismes suivants</p>
<figure>
<img data-src="images/sponsors/sponsors.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</section></section>
<section>
<section id="section" class="title-slide slide level1">
<h1></h1>
<div class="text-center">
<p><strong>Merci pour votre attention !</strong></p>
</div>
<p><br></p>
<div class="columns">
<div class="column" style="width:40%;">
<div class="img-nano">
<figure>
<img data-src="images/logos/logo-DATAMI-rect-colors.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div><div class="column" style="width:20%;">
<div class="text-micro text-center">
<p><a href="https://datami.multi.coop">Datami</a></p>
<p>est un projet porté par la coopérative</p>
<p><a href="https://multi.coop">multi</a></p>
</div>
</div><div class="column" style="width:40%;">
<div class="img-nano">
<figure>
<img data-src="images/logos/logo-MULTI-colored-063442-02.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
<div class="columns">
<div class="column" style="width:30%;">
<div class="img-mini">
<figure>
<img data-src="images/sponsors/sponsors.png" alt=" " />
<figcaption aria-hidden="true"> </figcaption>
</figure>
</div>
</div>
</div>
<div class="text-center">
<p><strong>contact@multi.coop</strong></p>
</div>
</section>
<section class="slide level2">

<div class="text-center">
<p><a
href="https://gitlab.com/multi-coop/datami-project/datami-slides-fr">Source
de la présentation</a></p>
</div>
</section></section>
    </div>
  </div>

  <script src="https://unpkg.com/reveal.js@^4//dist/reveal.js"></script>

  <!-- reveal.js plugins -->
  <script src="https://unpkg.com/reveal.js@^4//plugin/notes/notes.js"></script>
  <script src="https://unpkg.com/reveal.js@^4//plugin/search/search.js"></script>
  <script src="https://unpkg.com/reveal.js@^4//plugin/zoom/zoom.js"></script>

  <script>

      // Full list of configuration options available at:
      // https://revealjs.com/config/
      Reveal.initialize({
        // Display controls in the bottom right corner
        controls: true,

        // Help the user learn the controls by providing hints, for example by
        // bouncing the down arrow when they first encounter a vertical slide
        controlsTutorial: true,

        // Determines where controls appear, "edges" or "bottom-right"
        controlsLayout: 'bottom-right',

        // Visibility rule for backwards navigation arrows; "faded", "hidden"
        // or "visible"
        controlsBackArrows: 'faded',

        // Display a presentation progress bar
        progress: true,

        // Display the page number of the current slide
        slideNumber: true,

        // 'all', 'print', or 'speaker'
        showSlideNumber: 'all',

        // Add the current slide number to the URL hash so that reloading the
        // page/copying the URL will return you to the same slide
        hash: true,

        // Start with 1 for the hash rather than 0
        hashOneBasedIndex: false,

        // Flags if we should monitor the hash and change slides accordingly
        respondToHashChanges: true,

        // Push each slide change to the browser history
        history: false,

        // Enable keyboard shortcuts for navigation
        keyboard: true,

        // Enable the slide overview mode
        overview: true,

        // Disables the default reveal.js slide layout (scaling and centering)
        // so that you can use custom CSS layout
        disableLayout: false,

        // Vertical centering of slides
        center: true,

        // Enables touch navigation on devices with touch input
        touch: true,

        // Loop the presentation
        loop: false,

        // Change the presentation direction to be RTL
        rtl: false,

        // see https://revealjs.com/vertical-slides/#navigation-mode
        navigationMode: 'default',

        // Randomizes the order of slides each time the presentation loads
        shuffle: false,

        // Turns fragments on and off globally
        fragments: true,

        // Flags whether to include the current fragment in the URL,
        // so that reloading brings you to the same fragment position
        fragmentInURL: true,

        // Flags if the presentation is running in an embedded mode,
        // i.e. contained within a limited portion of the screen
        embedded: false,

        // Flags if we should show a help overlay when the questionmark
        // key is pressed
        help: true,

        // Flags if it should be possible to pause the presentation (blackout)
        pause: true,

        // Flags if speaker notes should be visible to all viewers
        showNotes: false,

        // Global override for autoplaying embedded media (null/true/false)
        autoPlayMedia: null,

        // Global override for preloading lazy-loaded iframes (null/true/false)
        preloadIframes: null,

        // Number of milliseconds between automatically proceeding to the
        // next slide, disabled when set to 0, this value can be overwritten
        // by using a data-autoslide attribute on your slides
        autoSlide: 0,

        // Stop auto-sliding after user input
        autoSlideStoppable: true,

        // Use this method for navigation when auto-sliding
        autoSlideMethod: null,

        // Specify the average time in seconds that you think you will spend
        // presenting each slide. This is used to show a pacing timer in the
        // speaker view
        defaultTiming: null,

        // Enable slide navigation via mouse wheel
        mouseWheel: false,

        // The display mode that will be used to show slides
        display: 'block',

        // Hide cursor if inactive
        hideInactiveCursor: true,

        // Time before the cursor is hidden (in ms)
        hideCursorTime: 5000,

        // Opens links in an iframe preview overlay
        previewLinks: false,

        // Transition style (none/fade/slide/convex/concave/zoom)
        transition: 'slide',

        // Transition speed (default/fast/slow)
        transitionSpeed: 'default',

        // Transition style for full page slide backgrounds
        // (none/fade/slide/convex/concave/zoom)
        backgroundTransition: 'fade',

        // Number of slides away from the current that are visible
        viewDistance: 3,

        // Number of slides away from the current that are visible on mobile
        // devices. It is advisable to set this to a lower number than
        // viewDistance in order to save resources.
        mobileViewDistance: 2,

        // reveal.js plugins
        plugins: [
          RevealNotes,
          RevealSearch,
          RevealZoom
        ]
      });
    </script>
    </body>
</html>
